%define module  CGI-Simple
%define name	perl-%{module}
%define version 1.1
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Simple totally OO CGI interface that is CGI.pm compliant
license:   Artistic
group:     Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/CGI/%{module}-%{version}.tar.gz
buildarch: noarch
buildroot: %{_tmppath}/%{name}-%{version}

%description
CGI::Simple provides a relatively lightweight drop in replacement for CGI.pm.
It shares an identical OO interface to CGI.pm for parameter parsing, file
upload, cookie handling and header generation. This module is entirely object
oriented, however a complete functional interface is available by using the
CGI::Simple::Standard module.

Essentially everything in CGI.pm that relates to the CGI (not HTML) side of
things is available. There are even a few new methods and additions to old
ones! If you are interested in what has gone on under the hood see the
Compatibility with CGI.pm section at the end.

In practical testing this module loads and runs about twice as fast as CGI.pm
depending on the precise task.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/CGI
%{_mandir}/*/*


%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-4mdv2009.0
+ Revision: 255830
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-2mdv2008.1
+ Revision: 171023
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2008.0
+ Revision: 52483
- update to new version 1.1

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2008.0
+ Revision: 48175
- new version

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.080-1mdv2008.0
+ Revision: 19752
- 0.080
- clean up the spec file


* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.077-2mdk
- fix man pages names

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 0.077-1mdk
- Initial build.

